Saltar al contenido principal
POST
/
v1
/
wallets
/
{id}
/
signing
/
transaction
curl --request POST \ --url https://api.blockradar.co/v1/wallets/{id}/signing/transaction \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "transaction": "{\"to\":\"0x000000000000000000000000000000000000dEaD\",\"value\":\"0x5af3107a4000\",\"nonce\":4,\"chainId\":11155111,\"gasLimit\":\"0x5208\",\"maxFeePerGas\":\"0x59682f00\",\"maxPriorityFeePerGas\":\"0x3b9aca00\",\"type\":2}", "reference": "eth-transfer-001" } '
{ "statusCode": 200, "message": "Transaction signed successfully", "data": { "id": "782942da-48b0-416b-924b-8f657ae637a7", "reference": "52TQawmiqYpNiWD2Ks0P", "senderAddress": "0xC887a3Cb8E7AbA4A77D7275AD4B242f71cbd5446", "recipientAddress": "0xC887a3Cb8E7AbA4A77D7275AD4B242f71cbd5446", "tokenAddress": null, "amount": null, "amountPaid": null, "amountUSD": "0.00", "rateUSD": "0.00", "fee": null, "feeUSD": null, "feeHash": null, "currency": "USD", "toCurrency": null, "blockNumber": null, "blockHash": null, "hash": "0xac4c73ca084608ac6b981e54db948dc80c15b4ea3ffd0c9f5781f3af7ad6fe51", "confirmations": null, "confirmed": true, "gasPrice": null, "gasUsed": null, "gasFee": null, "status": "SUCCESS", "processingStatus": "PENDING", "processingProviderReference": null, "processingReason": null, "type": "SIGNED", "createdChannel": "api", "note": null, "amlScreening": {}, "isAutoSweep": false, "assetSwept": null, "assetSweptAt": null, "assetSweptGasFee": null, "assetSweptHash": null, "assetSweptSenderAddress": null, "assetSweptRecipientAddress": null, "assetSweptAmount": null, "reason": "Transaction signed", "network": "testnet", "chainId": 11155111, "metadata": null, "toAmount": null, "signedTransaction": "0x02f87383aa36a763843b9aca008459682f0082520894000000000000000000000000000000000000dead865af3107a400080c080a0b7600de5fce50c7dddea4673296e48d440aa4d62148d9645c881494ff55c76e6a044576669a19e0e6cddc14115144ce3e5b6d80c71201ef0e46b28a22aca8d7d2a", "rate": null, "createdAt": "2026-03-19T13:34:24.937Z", "updatedAt": "2026-03-19T13:34:24.937Z", "wallet": { "id": "3f9aca5c-38ee-4e1d-ab67-c084a2e37bb2", "name": "Ethereum Wallet", "description": "Yooooo", "address": "0xC887a3Cb8E7AbA4A77D7275AD4B242f71cbd5446", "derivationPath": "m/44'/60'/0'/0/0", "isActive": true, "status": "ACTIVE", "network": "testnet", "configurations": {}, "createdAt": "2024-05-15T12:09:24.777Z", "updatedAt": "2026-03-18T15:30:13.505Z" }, "asset": null, "blockchain": { "id": "85ffc132-3972-4c9e-99a5-5cf0ccb688bf", "name": "ethereum", "symbol": "eth", "slug": "ethereum", "derivationPath": "m/44'/60'/0'/0", "isEvmCompatible": true, "isL2": false, "isActive": true, "tokenStandard": "ERC20", "networkFeeModel": "native", "configurations": null, "createdAt": "2024-05-14T17:53:33.095Z", "updatedAt": "2024-11-26T20:04:13.936Z" }, "beneficiary": null } }

Autorizaciones

x-api-key
string
header
requerido

Parámetros de ruta

id
string
requerido
Ejemplo:

"YOUR_WALLET_ID"

Cuerpo

application/json
transaction
string
requerido

The serialized unsigned transaction. Base64 for Solana, JSON string for EVM and Tron.

Ejemplo:

"{\"to\":\"0x000000000000000000000000000000000000dEaD\",\"value\":\"0x5af3107a4000\",\"nonce\":4,\"chainId\":11155111,\"gasLimit\":\"0x5208\",\"maxFeePerGas\":\"0x59682f00\",\"maxPriorityFeePerGas\":\"0x3b9aca00\",\"type\":2}"

reference
string

Your internal tracking ID.

Ejemplo:

"eth-transfer-001"

metadata
object

Custom key-value pairs stored with the transaction record.

Ejemplo:
{ "source": "jupiter", "pair": "SOL/USDC" }

Respuesta

Transaction signed successfully

statusCode
number
Ejemplo:

200

message
string
Ejemplo:

"Transaction signed successfully"

data
object